> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Events

> Get many events



## OpenAPI

````yaml /openapi.json get /events
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /events:
    get:
      tags:
        - Event
      summary: Get Events
      description: Get many events
      operationId: getEvents
      parameters:
        - name: page
          required: false
          in: query
          description: Page number (1-based)
          schema:
            default: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            default: 10
            type: number
      responses:
        '200':
          description: The events have been successfully retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Event'
components:
  schemas:
    Event:
      type: object
      properties:
        id:
          type: string
          description: The id of the event
          format: uuid
          example: 123e4567-e89b-12d3-a456-426614174000
        createdAt:
          type: string
          description: The time of the event was created
          format: date-time
        userId:
          type: string
          description: The user id of the event
        eventTime:
          type: string
          description: The time of the event
          format: date-time
        eventType:
          type: string
          description: The type of the event
          enum:
            - ASSOCIATION_EVENT
            - OBJECT_EVENT
            - AGGREGATION_EVENT
            - TRANSACTION_EVENT
            - TRANSFORMATION_EVENT
        action:
          type: string
          description: The action of the event
          enum:
            - OBSERVE
            - ADD
            - DELETE
        eventTag:
          description: The tag associated with the event
          allOf:
            - $ref: '#/components/schemas/EventTag'
        bizStep:
          type: string
          description: The business step associated with the event
          enum:
            - ACCEPTING
            - ARRIVING
            - ASSEMBLING
            - COLLECTING
            - COMMISSIONING
            - CONSIGNING
            - CREATING_CLASS_INSTANCE
            - CYCLE_COUNTING
            - DECOMMISSIONING
            - DEPARTING
            - DESTROYING
            - DISASSEMBLING
            - DISPENSING
            - ENCODING
            - ENTERING_EXITING
            - HOLDING
            - INSPECTING
            - INSTALLING
            - KILLING
            - LOADING
            - OTHER
            - PACKING
            - PICKING
            - RECEIVING
            - REMOVING
            - REPACKAGING
            - REPAIRING
            - REPLACING
            - RESERVING
            - RETAIL_SELLING
            - SHIPPING
            - STAGING_OUTBOUND
            - STOCK_TAKING
            - STOCKING
            - STORING
            - TRANSPORTING
            - UNLOADING
            - UNPACKING
            - VOID_SHIPPING
            - SENSOR_REPORTING
            - SAMPLING
        disposition:
          type: string
          description: The disposition of the event
          enum:
            - ACTIVE
            - CONTAINER_CLOSED
            - DAMAGED
            - DESTROYED
            - DISPENSED
            - DISPOSED
            - ENCODED
            - EXPIRED
            - IN_PROGRESS
            - IN_TRANSIT
            - INACTIVE
            - NO_PEDIGREE_MATCH
            - NON_SELLABLE_OTHER
            - PARTIALLY_DISPENSED
            - RECALLED
            - RESERVED
            - RETAIL_SOLD
            - RETURNED
            - SELLABLE_ACCESSIBLE
            - SELLABLE_NOT_ACCESSIBLE
            - STOLEN
            - UNKNOWN
            - AVAILABLE
            - COMPLETENESS_VERIFIED
            - COMPLETENESS_INFERRED
            - CONFORMANT
            - CONTAINER_OPEN
            - MISMATCH_INSTANCE
            - MISMATCH_CLASS
            - MISMATCH_QUANTITY
            - NEEDS_REPLACEMENT
            - NON_CONFORMANT
            - UNAVAILABLE
        quantityList:
          description: List of quantities associated with the event
          type: array
          items:
            $ref: '#/components/schemas/QuantityElement'
        outputQuantityList:
          description: Output list of quantities associated with the event
          type: array
          items:
            $ref: '#/components/schemas/QuantityElement'
        inputQuantityList:
          description: Input list of quantities associated with the event
          type: array
          items:
            $ref: '#/components/schemas/QuantityElement'
        sourceList:
          description: List of sources associated with the event
          type: array
          items:
            $ref: '#/components/schemas/Source'
        destinationList:
          description: List of destinations associated with the event
          type: array
          items:
            $ref: '#/components/schemas/Destination'
        readPoint:
          description: The read point associated with the event
          allOf:
            - $ref: '#/components/schemas/ReadPoint'
        seafoodEventData:
          description: The seafood event data associated with the event
          allOf:
            - $ref: '#/components/schemas/SeafoodEventData'
        epcs:
          description: The instance identifiers associated with the event
          type: array
          items:
            $ref: '#/components/schemas/InstanceIdentifierDto'
        inputEpcs:
          description: The instance identifiers associated with the event
          type: array
          items:
            $ref: '#/components/schemas/InstanceIdentifierDto'
        outputEpcs:
          description: The instance identifiers associated with the event
          type: array
          items:
            $ref: '#/components/schemas/InstanceIdentifierDto'
        images:
          description: The images associated with the event
          type: array
          items:
            type: string
      required:
        - id
        - createdAt
        - eventTime
        - eventType
        - action
    EventTag:
      type: object
      properties:
        id:
          type: string
          description: The id of the event tag
        code:
          type: string
          description: The code of the event tag, a unique identifier
        name:
          type: string
          description: The name of the event tag
        description:
          type: string
          description: The description of the event tag
        createdAt:
          format: date-time
          type: string
          description: The date and time the event tag was created
        updatedAt:
          format: date-time
          type: string
          description: The date and time the event tag was updated
        deleted:
          type: boolean
          description: Whether the event tag is deleted
        deletedAt:
          format: date-time
          type: string
          description: The date and time the event tag was deleted
      required:
        - id
        - code
        - name
        - description
        - createdAt
        - updatedAt
        - deleted
        - deletedAt
    QuantityElement:
      type: object
      properties:
        epcClass:
          type: string
          description: The EPC class of the quantity element
        quantity:
          type: number
          description: The quantity of the item
        unit:
          type: string
          description: The unit of measurement for the quantity
      required:
        - epcClass
        - quantity
        - unit
    Source:
      type: object
      properties:
        sourceType:
          type: string
          description: The type of source
          enum:
            - OWNING_PARTY
            - POSSESSING_PARTY
            - LOCATION
        source:
          type: string
          description: The source string
        partner:
          type: string
          description: The partner id
      required:
        - sourceType
    Destination:
      type: object
      properties:
        destinationType:
          type: string
          description: The type of destination
          enum:
            - OWNING_PARTY
            - POSSESSING_PARTY
            - LOCATION
        destination:
          type: string
          description: The destination string
        partner:
          type: string
          description: The partner id
      required:
        - destinationType
    ReadPoint:
      type: object
      properties:
        identifier:
          type: string
          description: The identifier of the read point
        lat:
          type: number
          description: The latitude of the read point
        lng:
          type: number
          description: The longitude of the read point
    SeafoodEventData:
      type: object
      properties:
        catchArea:
          type: string
          description: The catch area of the seafood event data
      required:
        - catchArea
    InstanceIdentifierDto:
      type: object
      properties:
        epc:
          type: string
          description: The instance identifier
      required:
        - epc

````